comedi_disarm
Prev | 5.4.6. Extensions | Next

## Name

comedi_disarm — disarm a subdevice

## Synopsis

    #include <comedilib.h>

`int comedi_disarm(` | comedi_t * device,
| unsigned int subdevice`)`;

## Status

alpha

## Description

This function disarms a subdevice. It may, for example, stop a counter counting. This function is only useable on subdevices that provide support for the `INSN_CONFIG_DISARM` configuration instruction. Some subdevices treat this as an instruction to disarm a specific channel. For those subdevices, this function will disarm channel `0` and `comedi_disarm_channel` should be called instead of this one to specify the channel.

## Return value

`0` on success, `-1` on error.

Prev | Up | Next
comedi_digital_trigger_enable_levels | Home | comedi_disarm_channel